import React, {useState, useEffect} from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = "https://raw.githubusercontent.com/wmgeolab/geoBoundaries/6b1d1e655cc4d67c9bbbc86fd0d53cffbfcf3641/releaseData/gbOpen/KAZ/ADM0/geoBoundaries-KAZ-ADM0.topojson";

export const getMexico = () => {

  const [data, setData] = useState(null);
  
  console.log("data :",data);
	
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      const { map12REGION } = topojsonData.objects;
        console.log("topojsonData :",topojsonData);

    	setData(feature(topojsonData, map12REGION));
    })
  }, []);
  
  return data
}

